## wob 0.6

=== meson_options.txt ===
option('man-page', type: 'feature', value: 'auto', description: 'Generate and install man page')

=== debian/changelog ===
wob (0.6-1) unstable; urgency=medium

  * Initial release. (Closes: #946795)

 -- Jonas Meurer <jonas@freesources.org>  Fri, 10 Jan 2020 02:46:05 +0100

=== debian/control ===
Source: wob
Section: x11
Priority: optional
Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders: Jonas Meurer <jonas@freesources.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               libwayland-dev,
               meson,
               pkg-config,
               scdoc,
               wayland-protocols
Standards-Version: 4.4.1
Homepage: https://github.com/francma/wob
Vcs-Browser: https://salsa.debian.org/swaywm-team/wob
Vcs-Git: https://salsa.debian.org/swaywm-team/wob.git
Rules-Requires-Root: no

Package: wob
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: lightweight overlay volume/backlight/progress bar for wayland
 wob is a lightweight overlay volume/backlight/progress/anything bar for
 wayland, inspired by xob - the X overlay bar.

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/wob_$1\.orig\.tar\.gz/,pgpsigurlmangle=s/$/\.sig/" \
  https://github.com/francma/wob/releases .*/([\d.]+)\.tar\.gz

## wob 0.11

=== debian/changelog ===
wob (0.11-1) unstable; urgency=medium

  * New upstream release
  * d/upstream/metadata: Add bug tracking system links

 -- Jonas Meurer <jonas@freesources.org>  Sun, 14 Feb 2021 17:53:58 +0100

wob (0.10-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.5.1, no changes required.

 -- Jonas Meurer <jonas@freesources.org>  Mon, 25 Jan 2021 13:36:15 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Uploaders: Jonas Meurer <jonas@freesources.org>
 Build-Depends: cmake,
                debhelper-compat (= 12),
+               libffi-dev,
                libwayland-dev,
                meson,
                pkg-config,
                scdoc,
                wayland-protocols
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/francma/wob
 Vcs-Browser: https://salsa.debian.org/swaywm-team/wob
 Vcs-Git: https://salsa.debian.org/swaywm-team/wob.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DH_OPTIONS=-v

include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wno-error=deprecated-declarations

%:
	dh $@

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/\.sig/" \
https://github.com/francma/wob/releases .*/releases/download/[\d.]+/wob-([\d.]+)\.tar\.gz

## wob 0.12

=== meson_options.txt ===
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('seccomp', type: 'feature', value: 'auto', description: 'Use seccomp on Linux')

=== debian/changelog ===
wob (0.12-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump standards-version to 4.6.0, no changes required.

 -- Jonas Meurer <jonas@freesources.org>  Sat, 08 Jan 2022 13:03:33 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                pkg-config,
                scdoc,
                wayland-protocols
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/francma/wob
 Vcs-Browser: https://salsa.debian.org/swaywm-team/wob
 Vcs-Git: https://salsa.debian.org/swaywm-team/wob.git

## wob 0.14.2

=== debian/changelog ===
wob (0.14.2-1) unstable; urgency=medium

  * New upstream release
    - d/control: Add new build-dependency libinih-dev.
  * d/watch: Fix to get releases from git tags but tarball from releases.
  * d/control: Bump standards-version to 4.6.1, no changes required.

 -- Jonas Meurer <jonas@freesources.org>  Mon, 21 Nov 2022 22:03:54 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Uploaders: Jonas Meurer <jonas@freesources.org>
 Build-Depends: cmake,
                debhelper-compat (= 12),
+               libinih-dev,
                libffi-dev,
                libwayland-dev,
                meson,
                pkg-config,
                scdoc,
                wayland-protocols
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/francma/wob
 Vcs-Browser: https://salsa.debian.org/swaywm-team/wob
 Vcs-Git: https://salsa.debian.org/swaywm-team/wob.git

=== debian/watch ===
version=4
opts="downloadurlmangle=s%archive/refs/tags/(\d[\d.]*)(@ARCHIVE_EXT@)%releases/download/$1/@PACKAGE@-$1$2%, pgpsigurlmangle=s/$/\.sig/" \
    https://github.com/francma/wob/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
